/* Example from Quick Python pg. 271 */
#include "Python.h"

static PyObject * example_add(PyObject *self, PyObject *args)
{
	int m, n;
	if (!PyArg_ParseTuple(args, "ii", &m, &n))
	{
		return NULL;
	}
	return Py_BuildValue("i", m+n);
}

static PyObject * example_mult(PyObject *self, PyObject *args)
{
	int m, n;
	if (!PyArg_ParseTuple(args, "ii", &m, &n))
	{
		return NULL;
	}
	return Py_BuildValue("i", m*n);
}
	
static PyMethodDef example_methods[] =
{
	{"add", example_add, 1, "This function adds two ints"},
	{"mult", example_mult, 1, "This function mults two ints"},
	{NULL, NULL}
};

/* This line added by GW hammond does this*/
__declspec(dllexport)

void example_init()
{
	Py_InitModule("example", example_methods);
}
	
