/* spammodule.c - pasted from Python Extending/Embedding Manual */
/* File example.c in ExTest3 directory */

// Note: Extension Name has been changed to spam.pyd
// by linker in .bat file and example.def has defined initspam
// for export.

// Test this module by using
// import spam
// spam.system("start notepad")
// You should see notepad start on your screen

#include "Python.h"

static PyObject *SpamError;

static PyObject *spam_system(self, args)
    PyObject *self;
    PyObject *args;
{
    char *command;
    int sts;
    if (!PyArg_ParseTuple(args, "s", &command))
        return NULL;
    sts = system(command);
    return Py_BuildValue("i", sts);
}

static PyMethodDef SpamMethods[] =
{
	{"system", spam_system, METH_VARARGS},
	{NULL, NULL}
};

__declspec(dllexport)

void initspam()
{
    PyObject *m, *d;

    m = Py_InitModule("spam", SpamMethods);
    d = PyModule_GetDict(m);
    SpamError = PyErr_NewException("spam.error", NULL, NULL);
    PyDict_SetItemString(d, "error", SpamError);
}
